library haptics;

import 'package:flutter/services.dart';
import 'package:flutter_web_plugins/flutter_web_plugins.dart';
import 'package:haptics/models/haptic_level.dart';
export 'models/haptic_level.dart';

abstract class Haptics {
  static void registerWith(Registrar registrar) {
    Haptics.registerWith(registrar);
  }

  static Future<void> feedback(HapticLevel type) async {
    switch (type) {
      case HapticLevel.impact:
        break;
      case HapticLevel.error:
        await HapticFeedback.heavyImpact();
        await HapticFeedback.heavyImpact();

        break;
      case HapticLevel.success:
        await HapticFeedback.lightImpact();
        await HapticFeedback.lightImpact();

        break;
      case HapticLevel.warning:
        await HapticFeedback.mediumImpact();
        await HapticFeedback.mediumImpact();

        break;
      case HapticLevel.selection:
        await HapticFeedback.mediumImpact();

        break;
      case HapticLevel.heavy:
        await HapticFeedback.heavyImpact();

        break;
      case HapticLevel.medium:
        await HapticFeedback.mediumImpact();

        break;
      case HapticLevel.light:
        await HapticFeedback.lightImpact();

        break;
      default:
    }
  }
}
